Bug 22974 - Patron password update validation broken
Summary: Patron password update validation broken
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 21964
Blocks: 22973
  Show dependency treegraph
 
Reported: 2019-05-23 13:25 UTC by Owen Leonard
Modified: 2019-05-30 20:14 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22974: Patron password update validation broken (1.53 KB, patch)
2019-05-23 13:36 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22974: Patron password update validation broken (1.58 KB, patch)
2019-05-23 16:06 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22974: Patron password update validation broken (1.62 KB, patch)
2019-05-24 18:07 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 22974: Patron password update validation broken (1.67 KB, patch)
2019-05-26 23:57 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-05-23 13:25:27 UTC
Bug 21946 (accidentally) removed inclusion of str/members-menu.inc, breaking JavaScript validation of the two password fields on the "change password" page.
Comment 1 Owen Leonard 2019-05-23 13:36:02 UTC Comment hidden (obsolete)
Comment 2 Liz Rea 2019-05-23 16:06:51 UTC
Created attachment 90043 [details] [review]
Bug 22974: Patron password update validation broken

This patch adds back an include file to the change password template
which was inadvertently removed by Bug 21964. This broke Javascript
validation of the new password fields.

To test, apply the patch and enable the RequireStrongPassword system
preference.

 - Go to Patrons -> Patron details -> Change password.
 - Try entering a weak password in the "New password" field. You should
   get a validation error: "Password must contain at least 3 characters,
   including UPPERCASE, lowercase and numbers."
 - Try entering a password in the second password field which doesn't
   match the first. You should get a validation error: "Please enter the
   same password as above."

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 3 Bin Wen 2019-05-24 18:07:00 UTC
Created attachment 90080 [details] [review]
Bug 22974: Patron password update validation broken

This patch adds back an include file to the change password template
which was inadvertently removed by Bug 21964. This broke Javascript
validation of the new password fields.

To test, apply the patch and enable the RequireStrongPassword system
preference.

 - Go to Patrons -> Patron details -> Change password.
 - Try entering a weak password in the "New password" field. You should
   get a validation error: "Password must contain at least 3 characters,
   including UPPERCASE, lowercase and numbers."
 - Try entering a password in the second password field which doesn't
   match the first. You should get a validation error: "Please enter the
   same password as above."

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Comment 4 Chris Cormack 2019-05-26 23:57:13 UTC
Created attachment 90099 [details] [review]
Bug 22974: Patron password update validation broken

This patch adds back an include file to the change password template
which was inadvertently removed by Bug 21964. This broke Javascript
validation of the new password fields.

To test, apply the patch and enable the RequireStrongPassword system
preference.

 - Go to Patrons -> Patron details -> Change password.
 - Try entering a weak password in the "New password" field. You should
   get a validation error: "Password must contain at least 3 characters,
   including UPPERCASE, lowercase and numbers."
 - Try entering a password in the second password field which doesn't
   match the first. You should get a validation error: "Please enter the
   same password as above."

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 5 Nick Clemens 2019-05-30 10:39:46 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-05-30 20:14:18 UTC
Bug with enhancement not in 18.11.x series.